# Generated by Django 3.2.4 on 2021-07-04 16:26

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('app_lmgas', '0018_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='direccionEnvio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.DeleteModel(
            name='User',
        ),
        migrations.RemoveField(
            model_name='detalle_pedido',
            name='descuento',
        ),
        migrations.RemoveField(
            model_name='detalle_pedido',
            name='total',
        ),
        migrations.RemoveField(
            model_name='pedido',
            name='total_pedido',
        ),
        migrations.AddField(
            model_name='detalle_pedido',
            name='date_added',
            field=models.DateField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='direccion',
            name='telefono',
            field=models.CharField(default='No especifica', max_length=30, null=True),
        ),
        migrations.AddField(
            model_name='pedido',
            name='complete',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='detalle_pedido',
            name='cantidad',
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='fec_pedido',
            field=models.DateField(auto_now_add=True),
        ),
        migrations.AddField(
            model_name='direccionenvio',
            name='id_direccion',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.direccion'),
        ),
        migrations.AddField(
            model_name='direccionenvio',
            name='id_pedido',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.pedido'),
        ),
    ]
